Package: groovy.org.codenarc.util

## [Groovy] Class GroovyVersion

- groovy.org.codenarc.util.GroovyVersion

- Utility methods to determine the version of Groovy currently executing.

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static String` | `getVersion()`
    `` | `static boolean` | `isGroovy1_6()`
    `` | `static boolean` | `isGroovy1_7()`
    `` | `static boolean` | `isGroovy1_8()`
    `` | `static boolean` | `isGroovy1_8_OrGreater()`
    `` | `static boolean` | `isGroovy2_x()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### static String getVersion()

    - #### static boolean isGroovy1_6()

    - #### static boolean isGroovy1_7()

    - #### static boolean isGroovy1_8()

    - #### static boolean isGroovy1_8_OrGreater()

    - #### static boolean isGroovy2_x()